---
layout: default
---

<div class="page-content">
<div class="wrapper">
	<h3>Symbolic Icons</h3>
	<p>The GNOME symbolic icons are a simple monochrome icon set designed to work well at smaller sizes. They are defined by 16&times;16 pixel grid and as vector icons they can be scaled to multiples of 16 (such as 32&times;32, 64&times;64, 96&times;96, etc.).</p>
	<p>Like fonts, the symbolic icons are designed to be neutral in color although their color can be changed programmatically.</p>

	<div class="row" id="iconGrids">
		<!-- results section -->
		<section>
			<input type="search" id="searchInput" placeholder="Search" onclick="$('#iconGrids').removeClass('dark');$('#dark_bg').prop('checked', false);">
			<ul class="icon-grid"  id="resultsContainer">
			<!-- search results appear here -->
			</ul>
		</section>
		<!-- Download section -->
		<section id="download" class="hidden">
			<h4>Selected</h4>
			<p>The following icons are selected to be downloaded as 16&times;16 SVG</p>
			<ul class="icon-grid" id="downloadIcons">
				<!-- downloads appear here -->
			</ul>
		</section>
		<!-- All Icons -->
		<section id="All">
			<h4>All Icons</h4><a class="go-to-top" title="Go to top">Go to top</a>
			<ul class="icon-grid">
			{% for icon in site.data.icons %}<li onclick="createDownloadLink(this);" class="{{ icon.context }}"><img class="symbolic lazyload" src="{{ site.baseurl }}/img/loading.png" data-src="{{ site.baseurl }}/img/symbolic/{{ icon.context }}/{{icon.filename}}-symbolic.svg" alt="{{ icon.filename }}"><span>{{ icon.filename }}</span></li>
			{% endfor %}
			</ul>
		</section>
	</div>
</div>
</div>


<!-- javascripts -->
<script type="text/javascript">
	// search function
	window.simpleJekyllSearch = new SimpleJekyllSearch({
		searchInput: document.getElementById('searchInput'),
		resultsContainer: document.getElementById('resultsContainer'),
		json: '{{ site.baseurl }}/search.json',
		searchResultTemplate: '<li onclick="createDownloadLink(this);" class="{context}"><img class="symbolic" src="{{ site.baseurl }}/img/symbolic/{context}/{filename}-symbolic.svg"><span>{filename}</span></li>',
		noResultsText: '<p>Sorry, no results for that search.</p>',
		limit: 18,
		fuzzy: false,
		exclude: ['Welcome']
	})

	// lazy load for icons
	window.addEventListener("load", function(event) {
		lazyload();
	});

	// create download link
	function createDownloadLink(icon) {
		$('#download').removeClass('hidden');
		$(icon).clone().appendTo('#downloadIcons');
		$(icon).attr('onclick', null);
		$(icon).addClass('selected');
		$('#downloadIcons > li > img').each(function() {
			var img_data_src = $(this).prop('data-src');
			$(this).prop('src', img_data_src);
			// $(this).parent().css( "background-color", "red" );
			$(this).parent().wrap("<a href='"+$(this).attr('src')+"' download>");
			$(this).unwrap();
		});
	}

</script>
